<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.artfess.sysConfig.persistence.dao.PortalAppParamDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.artfess.sysConfig.persistence.model.PortalAppParam">
        <id column="ID_" property="id" />
        <result column="NAME_" property="name" />
        <result column="ALIAS_" property="alias" />
        <result column="CONTROL_TYPE_" property="controlType" />
        <result column="VALUE_" property="value" />
        <result column="TENANT_ID_" property="tenantId" />
        <result column="CREATE_TIME_" property="createTime" />
        <result column="APP_ID_" property="appId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID_, NAME_, ALIAS_, CONTROL_TYPE_, VALUE_, TENANT_ID_, CREATE_TIME_,APP_ID_
    </sql>

</mapper>
